- Qt 6.9
- Qt Widgets
- C++ Classes
- QCheckBox
- Qt 6.9.1 Reference Documentation

# Obsolete Members for QCheckBox

The following members of class QCheckBox are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(deprecated in 6.9)` void | stateChanged(int state)

## Member Function Documentation

### `[signal, deprecated in 6.9]` void QCheckBox::stateChanged(int state)

This function is deprecated since 6.9. We strongly advise against using it in new code.

Use checkStateChanged(Qt::CheckState) instead.

This signal is emitted whenever the checkbox's state changes, i.e., whenever the user checks or unchecks it.

state contains the checkbox's new Qt::CheckState.